<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <form @submit.prevent="validationForm()">
            <p v-if="erors.length">
                <b>Please correct the following erors:</b>
                <ul>
                    <li v-for="error in errors">{{error}}</li>
                </ul>
            </p>
            <label >Title :</label>
            <input type="text" name="title" ref="title" v-model="title">
            <label > Description :</label>
            <textarea name="description" ref="description" v-model="description"></textarea>
            <input type="submit" value="submit">
        </form>
        <table border="1">
            <tr v-for="member of members">
                <td>
                    <b>nama :</b> {{member.name}} <br>
                    <b>alamat: </b> {{member.address}} <br>
                    <b>no hp :</b> {{member.no_hp}} <br>
                </td>
                <td>
                    <button @onclick="editMember(member)">Edit</button>
                    <button @onclick="removeMember(member.id)">Hapus</button>
                    <button @onclick="uloadPhoto(member)">Foto</button>
                </td>
            </tr>
        </table>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min"> </script>
    <script>
        let vm = new Vue({
            el : '#app',
            
            data: {
                name : '',
                address : '',
                no_hp :'',
                errors : [],
                domain :"http://demo-api-vue.sanbercloud.com",
                members : [],
                cari : '',
            },
            methods : {
                validationForm : function(){
                   this.errors = []
                   if(this.name.length < 5){
                       this.errors.push('title minimal 3 karakter')
                       this.$refs.name.focus()
                   }
                   if(this.address.length > 10){
                       this.errors.push('deskripsi tidak lebih 10 karakter')
                       this.$refs.address.focus()
                   }
                   if(this.description.length == 0){
                       this.errors.push('deskriripsi harus di isi')
                       this.$refs.title.focus()
                   }
                   if(this.no_hp.length < 12){
                       this.errors.push('no hp belum lengkap')
                       this.$refs.no_hp.focus()
                   }

                },
                getMember : function(){
                    const config ={
                        method : "get",
                        url : `${this.domain}/api/member`,
                    }
                    axios(config)
                    .then((Response)=> {
                        this.members = response.data.members
                    })
                    .catch((error )=> {
                        console.log(error)
                    })
                },
            },

            created(){
                this.getMember()
            }
        });
    </script>
    
</body>
</html>